sylius_paypal_webhook:
    resource: "@SyliusPayPalPlugin/Resources/config/webhook_routing.yaml"
bitbag_sylius_product_bundle_plugin:
    resource: "@BitBagSyliusProductBundlePlugin/Resources/config/routing.yml"
bitbag_sylius_cms_plugin:
    resource: "@BitBagSyliusCmsPlugin/Resources/config/routing.yml"
sylius_sitemap:
    resource: "@SitemapPlugin/Resources/config/routing.yml"
bitbag_sylius_elasticsearch_plugin:
    resource: "@BitBagSyliusElasticsearchPlugin/Resources/config/routing.yml"
sylius_invoicing:
    resource: "@SyliusInvoicingPlugin/config/routes.yaml"
app_admin_product_variant_index:
    path: /produ
    methods: [GET]
    defaults:
        _controller: sylius.controller.product::showAction
app_institution:
    resource: |
        alias: app.institution
        section: admin
        path: admin/institution
        templates: "@SyliusAdmin\\Crud"
        grid: app_super_admin_establishment
#        except: ['show']
    type: sylius.resource
app_permission:
    resource: |
        alias: app.permission
        section: admin
        path: admin/permission
        templates: "@SyliusAdmin\\Crud"
        grid: app_admin_permission
        except: ['show']
    type: sylius.resource
app_role:
    resource: |
        alias: app.role
        section: admin
        path: admin/role
        templates: "@SyliusAdmin\\Crud"
        grid: app_admin_role
        except: ['show']
    type: sylius.resource
app_menu:
    resource: |
        alias: app.menu
        section: admin
        path: admin/menu
        templates: "@SyliusAdmin\\Crud"
        grid: app_admin_menu
        except: ['show']
    type: sylius.resource
app_option:
    resource: |
        alias: app.option
        section: admin
        path: admin/option
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_defaultoptions
        except: ['show']
    type: sylius.resource
app_faqproduct:
    resource: |
        alias: app.faqproduct
        section: admin
        path: admin/faqproduct
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_faqficheproduit
        except: ['show']
    type: sylius.resource
app_test:
    resource: |
        alias: app.test
        section: admin
        path: admin/test
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_test
    type: sylius.resource
app_product_list:
    resource: |
        alias: app.product_list
        section: admin
        path: admin/productList
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: sylius_admin_product
    type: sylius.resource
app_parent:
    resource: |
        alias: app.parent
        section: admin
        path: admin/parent
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_parent
    type: sylius.resource
app_subject:
    resource: |
        alias: app.subject
        section: admin
        path: admin/subject
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_subject
    type: sylius.resource
app_grade:
    resource: |
        alias: app.grade
        section: admin
        path: admin/grade
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_grade
    type: sylius.resource
app_admin_institution_show:
    path: /admin/institution/{id}
    methods: [ GET ]
    defaults:
        _controller: App\Controller\InstitutionCrudController::showAction
        _sylius:
            template: SyliusAdmin/AdminUser/Form/_content.html.twig

#FAQ START
app_shop_faq:
    path: /frequently-asked-questions
    methods: [GET]
    defaults:
        _controller: App\Controller\FrontCustom\FAQController::indexAction
#FAQ END

#FAQ SHOW START
app_shop_faq_show:
    path: /frequently-asked-questions/{slug}
    methods: [GET]
    defaults:
        _controller: App\Controller\FrontCustom\FAQController::showAction
#FAQ SHOW END
        
#BLOG START
app_shop_blog:
    path: /blogposts
    methods: [GET]
    defaults:
        sectionCode: blog
        _controller: App\Controller\FrontCustom\BlogController::indexAction
        _sylius:
            template: "Shop/Blog/index.html.twig"
            grid: bitbag_sylius_cms_plugin_shop_page
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$

#ABOUT PAGE
app_shop_about:
    path: /about
    methods: [GET]
    defaults:
        _controller: App\Controller\Shop\Page\AboutPageController::indexAction
        _sylius:
            template: "Shop/Page/about.html.twig"
            grid: bitbag_sylius_cms_plugin_shop_page
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$

app_shop_blog_post_show:
    path: /blogpost/{slug}
    methods: [GET]
    defaults:
        _controller: App\Controller\FrontCustom\BlogController::showAction
        _sylius:
            template: "Shop/Blog/show.html.twig"
            repository:
                method: findOneEnabledBySlugAndChannelCode
                arguments:
                    - $slug
                    - "expr:service('sylius.context.locale').getLocaleCode()"
                    - "expr:service('sylius.context.channel').getChannel().getCode()"
    requirements:
        slug: .+
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$
#BLOG END
#PARTNER START
app_admin_partner:
    resource: |
        alias: app.partner
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show']
        redirect: update
        grid: app_admin_partner
        vars:
            all:
                subheader: app.ui.partner # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_home_custom_content:
    resource: |
        alias: app.home_custom_content
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_home_custom_content
        vars:
            all:
                subheader: app.ui.home_custom_content # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_contact_custom_content:
    resource: |
        alias: app.contact_custom_content
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_contact_custom_content
        vars:
            all:
                subheader: app.ui.contact_custom_content # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_blog_custom_content:
    resource: |
        alias: app.blog_custom_content
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        vars:
            all:
                subheader: app.ui.blog_custom_content # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_find_requirement_custom_content:
    resource: |
        alias: app.find_requirement_custom_content
        section: admin
        path: admin/find-requirement-custom-content
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_find_requirement_custom_content
    type: sylius.resource
app_order_custom_content:
    resource: |
        alias: app.order_custom_content
        section: admin
        path: admin/order-custom-content
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_order_custom_content
    type: sylius.resource
app_cart_custom_content:
    resource: |
        alias: app.cart_custom_content
        section: admin
        path: admin/cart-custom-content
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_cart_custom_content
    type: sylius.resource
app_step_order_custom_content:
    resource: |
        alias: app.step_order_custom_content
        section: admin
        path: admin/step-order-custom-content
        templates: "@SyliusAdmin\\Crud"
        redirect: update
        grid: app_step_order_custom_content
    type: sylius.resource
app_admin_about_custom_content:
    resource: |
        alias: app.about_custom_content
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_about_custom_content
        vars:
            all:
                subheader: app.ui.about_custom_content # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_custom_faq:
    resource: |
        alias: app.custom_faq
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_custom_faq
        vars:
            all:
                subheader: app.ui.custom_faq # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_custom_block_faq:
    resource: |
        alias: app.custom_block_faq
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_custom_block_faq
        vars:
            all:
                subheader: app.faq.title # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_custom_init_logo:
    resource: |
        alias: app.custom_init_logo
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_custom_init_logo
        vars:
            all:
                subheader: app.ui.custom_logo # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_custom_pre_footer_init:
    resource: |
        alias: app.custom_pre_footer_init
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_custom_pre_footer_init
        vars:
            all:
                subheader: app.ui.custom_pre_footer_init # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_custom_footer:
    resource: |
        alias: app.custom_footer
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_custom_footer
        vars:
            all:
                subheader: app.ui.custom_footer # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_custom_newsletter:
    resource: |
        alias: app.custom_newsletter
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_custom_newsletter
        vars:
            all:
                subheader: app.ui.newsletter.title # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin
app_admin_custom_data_faq:
    resource: |
        alias: app.custom_data_faq
        section: admin
        templates: "@SyliusAdmin\\Crud"
        except: ['show','delete','BulkDelete','index']
        redirect: update
        grid: app_custom_data_faq
        vars:
            all:
                subheader: app.faq.title # define a translation key for your entity subheader
            index:
                icon: 'cogs icon' # choose an icon that will be displayed next to the subheader
    type: sylius.resource
    prefix: admin

#PARTNER END
#app_admin_institution_index:
#    path: /admin/institution/
#    methods: [GET]
#    defaults:
#        _controller: app.controller.institution::indexAction
#        repository:
#            method: findByAdminUser
#sylius_admin_permission_show:
#    path: /permissions/{id}
#    methods: [ GET ]
#    defaults:
#        _controller: App\Controller\PermissionCrudController::showAction
#        _sylius:
#            template: SyliusAdmin/AdminUser/Form/_content.html.twig
#app_admin_permission_show:
#    path: /permissions/{id}
#    controller: App\Controller\PermissionCrudController::showAction

#Contact setup
sylius_shop_contact_request:
    path: /contact
    methods: [GET, POST]
    defaults:
        _controller: App\Controller\FrontCustom\ContactController::requestAction
        _sylius:
            redirect: app_shop_contact_request_success # Nouvelle redirection après envoi du formulaire
            form: App\Form\ContactType
    
app_shop_contact_request_success:
    path: /contact-success
    methods: [GET]
    defaults:
        _controller: App\Controller\FrontCustom\ContactController::requestSuccessAction

sylius_systempay_webhook:
    resource: "@SyliusSystempayPlugin/Resources/config/webhook_routing.yaml"

